﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Advania.Signet.Cloud2Connector.Models
{
    public class DocumentSigner
    {
        public string SSN { get; set; }
        public string Name { get; set; }
        public string Email { get; set; }
        public bool Notify { get; set; }
        public string SigningMessage { get; set; }
        public string SigningText { get; set; }
        public int Order { get; set; }
        public SigningRole Role { get; set; }
        public DateTime? Signed { get; set; }
        public bool HasSigned { get; set; }
        public bool Declined { get; set; }
        public string Reason { get; set; }
        public FieldLocation Location { get; set; }

        public enum SigningRole
        {
            Signer = 0,
            Authorizer = 1,
            Viewer = 2
        }
    }
}
