﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Advania.Signet.Cloud2Connector.Models
{
    public class DocumentInfo
    {
        public string GroupID { get; set; }
        public string DocumentId { get; set; }
        public DocumentStatus Status { get; set; }
        public DateTime Added { get; set; }
        public DateTime? Modified { get; set; }
        public DateTime? Deleted { get; set; }
        public string DocumentName { get; set; }
        public string DocumentNotes { get; set; }
        public string Metadata { get; set; }
        public DateTime? StartSigning { get; set; }
        public DateTime? EndSigning { get; set; }
        public bool Ordered { get; set; }
        public bool Notify { get; set; }
        public bool Archive { get; set; }
        public int MininumSigners { get; set; }
        public List<DocumentSigner> Signers { get; set; }
        public string Reason { get; set; }
        public string Digest { get; set; }
    }
}
