﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Advania.Signet.Cloud2Connector.Models
{
    public class FieldLocation
    {
        /// <summary>
        /// Page of signature field - 0 for last page
        /// </summary>
        public int Page { get; set; }
        /// <summary>
        /// X coordinates of signature field (from left to right)
        /// </summary>
        public int XLocation { get; set; }
        /// <summary>
        /// Y coordinates of signature field (from bottom to top)
        /// </summary>
        public int YLocation { get; set; }
        /// <summary>
        /// Height of signature field
        /// </summary>       
        public int Height { get; set; }
        /// <summary>
        /// Width of signature field
        /// </summary>
        public int Width { get; set; }
    }
}
