﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Advania.Signet.Cloud2Connector.Models
{
    public class TokenRequest : BaseRequest
    {
        /// <summary>
        /// The document ID
        /// </summary>
        public string DocID { get; set; }
        /// <summary>
        /// The group ID
        /// </summary>
        public string GroupID { get; set; }
        /// <summary>
        /// The SSN of user
        /// </summary>
        public string SSN { get; set; }
        /// <summary>
        /// The SSN of user
        /// </summary>
        public string Onbehalf { get; set; }
        /// <summary>
        /// The mobile with certificate for user
        /// </summary>
        public string Mobile { get; set; }
        /// <summary>
        /// The return url for sending user to after signature
        /// </summary>
        public string ReturnURL { get; set; }
        /// <summary>
        /// The signature or authentication signature used by user (not needed for mobile certificates)
        /// </summary>
        public string UserCert { get; set; }
        /// <summary>
        /// The mandate from Signet Mandate to use
        /// </summary>
        public string Manadate { get; set; }
    }
}
